Bug 500023 - Random freeze in ondemand mode
Random freeze in ondemand mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-10 04:42 EDT by chanueting
Modified: 2009-12-18 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:25:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chanueting 2009-05-10 04:42:14 EDT
Description of problem:
There is freeze randomly using the ondemand mode, other modes tried without having a freeze.

Version-Release number of selected component (if applicable):
kernel-2.6.27.21-170.2.56.fc10.i686

How reproducible:
Randomly, may be after three hours or several minutes after changing to on demand mode.

Steps to Reproduce:
1.Changing the cpu frequency by either terminal using echo or through gnome-sensor-applet
2.
3.
  
Actual results:
Neither mouse or keyboard can be used.
And the screen show something like X is crashed.

Expected results:
Probably no freeze

Additional info:
Tell me if you need any logs.
Comment 1 chanueting 2009-05-10 04:44:12 EDT
GNOME CPU Frequency Applet is used instead of gnome-sensor-applet. Sorry for type error.
Comment 2 Chuck Ebbert 2009-05-20 20:52:18 EDT
What command are you running from the terminal to change the frequency?
Comment 3 chanueting 2009-05-22 03:52:49 EDT
I don't type any command to change the frequency, but the kernel module changes the frequency, while the ondemand mode is set as default.
Comment 4 Chuck Ebbert 2009-05-22 17:19:44 EDT
(In reply to comment #3)
> I don't type any command to change the frequency, but the kernel module changes
> the frequency, while the ondemand mode is set as default.  

In the original report you said

"Steps to Reproduce:
1.Changing the cpu frequency by either terminal using echo or through
gnome-sensor-applet"

How were you using echo in a terminal that caused the problem?
Comment 5 chanueting 2009-05-23 01:05:31 EDT
Sorry for the indistinctness in my text above. I think I should describe the situation again. I turn on the Cool n quiet on my motherboard. With the default setting with ondemand mode. My system would crash after I start programs which would make the CPU frequency changes. I tried to select the ondemand mode manually using modprobe and also GNOME CPU Frequency Applet do not solve this problem.
Comment 6 chanueting 2009-05-23 01:26:21 EDT
Sorry for the typos, I was just going to state that I change the frequency using "echo ondemand > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor"
Comment 7 Bug Zapper 2009-11-18 06:55:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:25:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.